<?php
// No direct access
defined('_JEXEC') or die;

if(version_compare(JVERSION,'3.0.0','ge')) {
	class StarrysCashboxProxyController extends JControllerLegacy{}
} else {
	class StarrysCashboxProxyController extends JController{}
}

include(__DIR__.'/helper/helper.php');

class StarrysCashboxController extends StarrysCashboxProxyController
{
	public function gotoplugins() {
		JFactory::getApplication()->redirect('index.php?option=com_plugins&view=plugins&filter[search]=chekonline');
	}

	public function testConnect(){
		$componentParams = JComponentHelper::getParams( 'com_starryscashbox' );
		$api = StarrysCashboxHelper::initApi();
		$result = $api->batchExec([new Starrys\Cashbox\Api\Command("NoOperation")]);
		if($componentParams->get('log')) {
			StarrysCashboxHelper::writeLog('request', $api);
			StarrysCashboxHelper::writeLog('response', $result);
		}
		if($result->code == 200 && !$result->response->Error && $result->response->Responses){
			foreach($result->response->Responses as $r) {
				if($r->Path == '/fr/api/v2/NoOperation' && !$r->Response->Error){
					$result = 'Успех';
				}
			}
		} elseif($result->code == 200 && $result->response->Error) {
			$result = implode(',', $result->response->ErrorMessages);
		} else {
			$result = "Код ответа: ".$result->code."\nОтвет: ".$result->error;
		}
		echo json_encode($result);
		jexit();
	}
}
