<?php
jimport('joomla.application.component.model');
jimport('joomla.application.component.modellist');
if(version_compare(JVERSION,'3.0.0','ge')) {
	class StarrysCashboxProxyModel extends JModelList{}
} else {
	class StarrysCashboxProxyModel extends JModelList{}
}

class StarrysCashboxModelStarrysCashbox extends StarrysCashboxProxyModel
{

	public function __construct($config = array())
	{
		if (empty($config['filter_fields']))
		{
			$config['filter_fields'] = array();
		}

		parent::__construct($config);
	}

	protected function populateState($ordering = 'a.id', $direction = 'desc')
	{
		parent::populateState($ordering, $direction);
	}

	protected function getListQuery()
	{
		// Create a new query object.
		$db = $this->getDbo();
		$query = $db->getQuery(true);

		// Select the required fields from the table.
		$query->select(
			$this->getState(
				'list.select',
				'a.id, a.order_number, a.type, a.status, a.date'
			)
		);
		$query->from('#__starryscashbox_receipt AS a');

		$listOrdering = $this->getState('list.ordering', 'a.id');
		$listDirn = $db->escape($this->getState('list.direction', 'DESC'));

		$query->order($db->escape($listOrdering) . ' ' . $listDirn);
		return $query;

	}

}