<?php
defined('_JEXEC') or die();
require_once(JPATH_ADMINISTRATOR.'/components/com_virtuemart/helpers/config.php');
VmConfig::loadConfig();

JFormHelper::loadFieldClass('list');
jimport('joomla.form.formfield');
class JFormFieldVmOrderState extends JFormFieldList {

	/**
	 * The form field type.
	 *
	 * @var    string
	 * @since  11.1
	 */
	var $type = 'vmOrderState';

	protected function getOptions() {
		VmConfig::loadJLang('com_virtuemart_orders', TRUE);

		$options = array();
		$db = JFactory::getDBO();

		$query = 'SELECT `order_status_code` AS value, `order_status_name` AS text
                 FROM `#__virtuemart_orderstates`
                 WHERE `virtuemart_vendor_id` = 1
                 ORDER BY `ordering` ASC ';

		$db->setQuery($query);
		$values = $db->loadObjectList();

		foreach ($values as $value) {
			$title = (class_exists("vmText"))?vmText::_($value->text):JText::_($value->text);
			$options[] = JHtml::_('select.option', $value->value, $title);
		}


		return $options;
	}

}