<?php
defined('_JEXEC') or die();
require_once(JPATH_ADMINISTRATOR.'/components/com_virtuemart/helpers/config.php');
VmConfig::loadConfig();
JFormHelper::loadFieldClass('list');
jimport('joomla.form.formfield');
class JFormFieldVmPayment extends JFormFieldList {

	/**
	 * The form field type.
	 *
	 * @var    string
	 * @since  11.1
	 */
	var $type = 'vmOrderPayment';

	protected function getOptions() {
		$options = array();

		$db = JFactory::getDBO();
		if (isset(VmConfig::$lang)) {
			$lang = VmConfig::$lang;
		} elseif (isset(VmConfig::$vmlang)) {
			$lang = VmConfig::$vmlang;
		} else {
			$vmconfig = VmConfig::loadConfig();
			$lang = $vmconfig->lang;
		}
		$query = 'SELECT `virtuemart_paymentmethod_id` AS value, `payment_name` AS text
                 FROM `#__virtuemart_paymentmethods_'.$lang.'`';

		$db->setQuery($query);
		$values = $db->loadObjectList();
		foreach ($values as $value) {
			$title = (class_exists("vmText"))?vmText::_($value->text):JText::_($value->text);
			$options[] = JHtml::_('select.option', $value->value, $title);
		}


		return $options;
	}

}