<?php
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');

// The class name must always be the same as the filename (in camel case)
class JFormFieldEndpoint extends JFormField {

        //The field class must know its own type through the variable $type.
        protected $type = 'Endpoint';


		public function getInput() {
			$doc = JFactory::getDocument();
			$doc->addScriptDeclaration('
				function testConnect(button) {
					if(typeof jQuery == "undefined") {
						$(button).setProperty("disabled",true);
						new Request.JSON({url: "index.php?option=com_starryscashbox&task=testConnect",
						onSuccess:function(res) {
							alert(res);
							$(button).removeProperty("disabled");
						}}).get();
					} else {
						jQuery(button).attr("disabled",true);
						jQuery.getJSON("index.php?option=com_starryscashbox&task=testConnect",{}, function(res) {
							alert(res);
							jQuery(button).attr("disabled",false);
						})
					}
					return false;
				}
				');
			$input = '<input class="inputbox" type="text" id="'.$this->id.'" name="'.$this->name.'" value="'.$this->value.'">
			<button class="button" onclick="return testConnect(this)">Проверить соединение</button>';
			return $input;
        }
}
