<?php
defined('_JEXEC') or die();

JFormHelper::loadFieldClass('list');
jimport('joomla.form.formfield');
class JFormFieldjsNds extends JFormField {

	/**
	 * The form field type.
	 *
	 * @var    string
	 * @since  11.1
	 */
	var $type = 'jsNds';


	protected function getInput() {
		$options = array();
		$db = JFactory::getDBO();

		$query = 'SELECT * FROM `#__jshopping_taxes`';

		$db->setQuery($query);
		$values = $db->loadObjectList();
		$options = [
			['id' => 1, 'name' => 'НДС 20%'],
			['id' => 2, 'name' => 'НДС 10%'],
			['id' => 3, 'name' => 'НДС 0%'],
			['id' => 4, 'name' => 'Без НДС'],
			['id' => 5, 'name' => 'НДС 20/120'],
			['id' => 6, 'name' => 'НДС 10/110'],
		];
		$html = '<table>';
		foreach ($values as $value) {
			$html .= '<tr>';
			$html .= '<td>'.$value->tax_name.':</td><td>'.JHtml::_('select.genericlist', $options,$this->name.'['.$value->tax_id.']','', 'id', 'name', isset($this->value[$value->tax_id])?$this->value[$value->tax_id]:1).'</td>';
			$html .= '</tr>';
		}
		$html .= '</table>';


		return $html;
	}

}